osl::DirectionTraitsGen< LONG_UR > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =true
static const Direction | altDir =LONG_DL
static const Direction | longDir =LONG_UR
static const Direction | primDir =UR
static const int | blackDx =DirectionTraitsGen<UR>::blackDx
static const int | blackDy =DirectionTraitsGen<UR>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 159 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_UR >::altDir =LONG_DL

static

Definition at line 161 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_UR >::blackDx =DirectionTraitsGen<UR>::blackDx

static

Definition at line 164 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_UR >::blackDy =DirectionTraitsGen<UR>::blackDy

static

Definition at line 165 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_UR >::canPromoteTo =true

static

Definition at line 160 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_UR >::longDir =LONG_UR

static

Definition at line 162 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_UR >::primDir =UR

static

Definition at line 163 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_UR >::ptypeMask

static

Initial value:
=
(1<<PBISHOP)|(1<<BISHOP)
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91

Definition at line 166 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h